1. Embeds
NotifyMe
  • Introduction
  • Authentication
  • API Reference
    • Accounts
      • List accounts
      • Add account
      • Edit account
      • Delete account
      • Test notification
      • Force notification
    • Embeds
      • List embeds
        GET
      • Create embed
        POST
      • Edit embed
        PATCH
      • Delete embed
        DELETE
    • Bot Styles
      • List bot styles
      • Create bot style
      • Edit bot style
      • Delete bot style
Discord BotManagement API
Legal
Discord BotManagement API
Legal
  1. Embeds

Edit embed

Developing
PATCH
https://public-api.notifyme.bot/v1/management/embeds
Rate Limit:5 req/sec

Request

Authorization
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
Query Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

🟠404Not Found
🔴500Internal Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://public-api.notifyme.bot/v1/management/embeds?server_id=1044159651178094592&platform=youtube&embed_internal_id=4550a99c-ae71-497a-a91b-6af40ff08794' \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "name": "string",
    "header": {
        "video": "string",
        "live": "string",
        "tweet": "string"
    },
    "color": "string",
    "title": "string",
    "live_fields": [
        "game"
    ],
    "thumbnail": true,
    "footer": "string",
    "upload_timestamp": true,
    "button": {
        "video": "string",
        "live": "string",
        "tweet": "string"
    }
}'
Response Response Example
200 - Example 1
{
    "status": true
}
Previous
Create embed
Next
Delete embed
Built with